> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shareable link for an agent version

> Get the shareable link for a specific agent version (only one per version)



## OpenAPI

````yaml get /api/v1/agent/version/{versionId}/share
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agent/version/{versionId}/share:
    get:
      tags:
        - Agent Shares
      summary: Get shareable link for an agent version
      description: >-
        Get the shareable link for a specific agent version (only one per
        version)
      parameters:
        - schema:
            type: string
          required: true
          name: versionId
          in: path
      responses:
        '200':
          description: Shareable link retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  share:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      shareToken:
                        type: string
                      agentVersionId:
                        type: string
                      secondsLimit:
                        type: number
                        nullable: true
                      secondsUsed:
                        type: number
                      createdAt:
                        type: string
                    required:
                      - id
                      - shareToken
                      - agentVersionId
                      - secondsLimit
                      - secondsUsed
                      - createdAt
                required:
                  - share
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````